package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckListItemE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:28
 */
public interface FireCheckListItemGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckListItemE fireCheckListItemE);

    /**
     * 修改
     */
    Boolean update(FireCheckListItemE fireCheckListItemE);

    /**
     * 删除
     */
    Boolean deletedFireCheckListItemById(Long id);

    Boolean deletedFireCheckListItemByIds(Long[] id);
}

